[145905] users/devans/GNOME-3/stable/dports/gnome

devans at macports.org devans at macports.org
Fri Feb 19 18:01:38 PST 2016


Revision: 145905
          https://trac.macports.org/changeset/145905
Author:   devans at macports.org
Date:     2016-02-19 18:01:38 -0800 (Fri, 19 Feb 2016)
Log Message:
-----------
GNOME-3/stable: polari, new port, an IRC chat client for testing.

Added Paths:
-----------
    users/devans/GNOME-3/stable/dports/gnome/polari/
    users/devans/GNOME-3/stable/dports/gnome/polari/Portfile
    users/devans/GNOME-3/stable/dports/gnome/polari/files/
    users/devans/GNOME-3/stable/dports/gnome/polari/files/autogen.sh

Added: users/devans/GNOME-3/stable/dports/gnome/polari/Portfile
===================================================================
--- users/devans/GNOME-3/stable/dports/gnome/polari/Portfile	                        (rev 0)
+++ users/devans/GNOME-3/stable/dports/gnome/polari/Portfile	2016-02-20 02:01:38 UTC (rev 145905)
@@ -0,0 +1,61 @@
+# -*- coding: utf-8; mode: tcl; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- vim:fenc=utf-8:filetype=tcl:et:sw=4:ts=4:sts=4
+# $Id: Portfile 145025 2016-01-23 23:36:09Z devans at macports.org $
+
+PortSystem          1.0
+PortGroup           gobject_introspection 1.0
+
+name                polari
+version             3.18.1
+license             GPL-2+
+set branch          [join [lrange [split ${version} .] 0 1] .]
+description         An IRC Client for GNOME
+long_description    Polari is an IRC chat client designed to integrate \
+                    with the GNOME desktop. Polari supports group chatting \
+                    in chat rooms and private messaging on a wide range of \
+                    popular IRC servers
+maintainers         devans openmaintainer
+categories          gnome
+platforms           darwin
+homepage            https://wiki.gnome.org/Apps/Polari
+master_sites        gnome:sources/${name}/${branch}/
+
+use_xz              yes
+
+checksums           rmd160  c911e2befa64dbc28526791110642f0e7649fb59 \
+                    sha256  554a089b1edf88d49408ecf6ce79ad6f7114ecf557753c8f39a9af153a76843a
+
+depends_build       port:pkgconfig \
+                    port:appstream-glib \
+                    port:intltool \
+                    port:autoconf \
+                    port:automake \
+                    port:libtool
+
+depends_lib         port:desktop-file-utils \
+                    port:gjs \
+                    port:gtk3 \
+                    port:telepathy-glib \
+                    port:telepathy-logger
+
+depends_run         port:gnome-themes-standard
+                    
+gobject_introspection yes
+
+# reconfigure using upstream autogen.sh for intltool 0.51 compatibility
+
+post-patch {
+    xinstall -m 755 ${filespath}/autogen.sh ${worksrcpath}
+}
+
+configure.cmd       ./autogen.sh
+
+configure.args      --disable-schemas-compile \
+                    --disable-silent-rules
+
+post-activate {
+   system "${prefix}/bin/gtk-update-icon-cache-3.0 -f -t ${prefix}/share/icons/hicolor"
+   system "${prefix}/bin/update-desktop-database ${prefix}/share/applications"
+   system "${prefix}/bin/glib-compile-schemas ${prefix}/share/glib-2.0/schemas"
+}
+
+livecheck.type      gnome

Added: users/devans/GNOME-3/stable/dports/gnome/polari/files/autogen.sh
===================================================================
--- users/devans/GNOME-3/stable/dports/gnome/polari/files/autogen.sh	                        (rev 0)
+++ users/devans/GNOME-3/stable/dports/gnome/polari/files/autogen.sh	2016-02-20 02:01:38 UTC (rev 145905)
@@ -0,0 +1,41 @@
+#!/bin/sh
+# Run this to generate all the initial makefiles, etc.
+
+test -n "$srcdir" || srcdir=`dirname "$0"`
+test -n "$srcdir" || srcdir=.
+
+olddir=`pwd`
+
+cd $srcdir
+
+(test -f configure.ac) || {
+    echo "*** ERROR: Directory \`$srcdir' does not look like the" >&2
+    echo "*** top-level project directory" >&2
+    exit 1
+}
+
+PKG_NAME=`autoconf --trace 'AC_INIT:$1' configure.ac`
+
+if [ "$#" = 0 -a "x$NOCONFIGURE" = "x" ]; then
+    echo "*** WARNING: I am going to run \`configure' with no arguments." >&2
+    echo "*** If you wish to pass any to it, please specify them on the" >&2
+    echo "*** \`$0' command line." >&2
+    echo >&2
+fi
+
+aclocal --install || exit 1
+intltoolize --force --copy --automake || exit 1
+autoreconf --verbose --force --install -Wno-portability || exit 1
+
+cd $olddir
+
+if [ "$NOCONFIGURE" = "" ]; then
+    $srcdir/configure "$@" || exit 1
+
+    if [ "$1" = "--help" ]; then exit 0 else
+        echo "Now type \`make' to compile $PKG_NAME"
+    fi
+else
+    echo "Skipping configure process."
+fi
+
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <https://lists.macosforge.org/pipermail/macports-changes/attachments/20160219/2aa6a665/attachment-0001.html>


More information about the macports-changes mailing list